<?php
/**
 * Plugin Name:       WPForms Campaign Monitor
 * Plugin URI:        https://wpforms.com
 * Description:       Campaign Monitor integration with WPForms.
 * Requires at least: 5.5
 * Requires PHP:      7.0
 * Author:            WPForms
 * Author URI:        https://wpforms.com
 * Version:           1.3.0
 * Text Domain:       wpforms-campaign-monitor
 * Domain Path:       languages
 *
 * WPForms is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * any later version.
 *
 * WPForms is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with WPForms. If not, see <http://www.gnu.org/licenses/>.
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Plugin version.
 *
 * @since 1.0.0
 */
const WPFORMS_CAMPAIGN_MONITOR_VERSION = '1.3.0';

/**
 * Plugin file.
 *
 * @since 1.3.0
 */
const WPFORMS_CAMPAIGN_MONITOR_FILE = __FILE__;

/**
 * Plugin path.
 *
 * @since 1.3.0
 */
define( 'WPFORMS_CAMPAIGN_MONITOR_PATH', plugin_dir_path( WPFORMS_CAMPAIGN_MONITOR_FILE ) );

/**
 * Plugin URL.
 *
 * @since 1.3.0
 */
define( 'WPFORMS_CAMPAIGN_MONITOR_URL', plugin_dir_url( WPFORMS_CAMPAIGN_MONITOR_FILE ) );

/**
 * Check addon requirements.
 *
 * @since 1.0.0
 * @since 1.3.0 Uses requirements feature.
 */
function wpforms_campaign_monitor_load() {

	$requirements = [
		'file'    => WPFORMS_CAMPAIGN_MONITOR_FILE,
		'wpforms' => '1.9.0',
	];

	if ( ! function_exists( 'wpforms_requirements' ) || ! wpforms_requirements( $requirements ) ) {
		return;
	}

	wpforms_campaign_monitor();
}

add_action( 'wpforms_loaded', 'wpforms_campaign_monitor_load' );

/**
 * Get the instance of the addon main class.
 *
 * @since 1.3.0
 *
 * @return WPForms_Campaign_Monitor
 */
function wpforms_campaign_monitor() {

	// TODO: Use composer.
	require_once WPFORMS_CAMPAIGN_MONITOR_PATH . 'class-campaign-monitor.php';

	return WPForms_Campaign_Monitor::get_instance();
}
