<?php
// Exit if accessed directly.

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div class="wpforms-builder-provider-connection-block wpforms-builder-hubspot-provider-connection-fields">

	<table class="wpforms-builder-provider-connection-fields-table">
		<thead>
		<tr>
			<th><?php esc_html_e( 'Custom Field Name', 'wpforms-hubspot' ); ?></th>
			<th colspan="3"><?php esc_html_e( 'Form Field Value', 'wpforms-hubspot' ); ?></th>
		</tr>
		</thead>
		<tbody>
		<# if ( ! _.isEmpty( data.connection.fields_meta ) ) { #>
		<# _.each( data.connection.fields_meta, function( item, meta_id ) { #>
		<tr class="wpforms-builder-provider-connection-fields-table-row">
			<td>
				<# if ( ! _.isEmpty( data.provider.fields ) ) { #>
				<select class="wpforms-builder-provider-connection-field-name"
						name="providers[{{ data.provider.slug }}][{{ data.connection.id }}][fields_meta][{{ meta_id }}][name]">
					<option value=""><# if ( ! _.isEmpty( data.provider.placeholder ) ) { #>{{ data.provider.placeholder }}<# } else { #><?php esc_html_e( '--- Select Field ---', 'wpforms-hubspot' ); ?><# } #></option>

					<# _.each( data.provider.fields, function( field_group, group_name ) { #>
					<optgroup label="{{ data.provider.groups[group_name] }}">
						<# _.each( field_group, function( field_name, field_id ) { #>
						<option value="{{ field_id }}"
						<# if ( field_id === item.name ) { #>selected="selected"<# } #> >
						{{ field_name }}
						</option>
						<# } ); #>
					</optgroup>
					<# } ); #>

				</select>
				<# } else { #>
				<input type="text" value="{{ item.name }}"
					   class="wpforms-builder-provider-connection-field-name"
					   name="providers[{{ data.provider.slug }}][{{ data.connection.id }}][fields_meta][{{ meta_id }}][name]"
					   placeholder="<?php esc_attr_e( 'Field Name', 'wpforms-hubspot' ); ?>"
				/>
				<# } #>
			</td>
			<td>
				<select class="wpforms-builder-provider-connection-field-value"
						name="providers[{{ data.provider.slug }}][{{ data.connection.id }}][fields_meta][{{ meta_id }}][field_id]">
					<option value=""><?php esc_html_e( '--- Select Form Field ---', 'wpforms-hubspot' ); ?></option>

					<# _.each( data.fields, function( field, key ) { #>
					<option value="{{ field.id }}"
					<# if ( field.id === item.field_id ) { #>selected="selected"<# } #>
					>
					<# if ( ! _.isUndefined( field.label ) && field.label.toString().trim() !== '' ) { #>
					{{ field.label.toString().trim() }}
					<# } else { #>
					{{ wpforms_builder.field + ' #' + key }}
					<# } #>
					</option>
					<# } ); #>
				</select>
			</td>
			<td class="add">
				<button class="button-secondary js-wpforms-builder-provider-connection-fields-add"
						title="<?php esc_attr_e( 'Add Another', 'wpforms-hubspot' ); ?>">
					<i class="fa fa-plus-circle"></i>
				</button>
			</td>
			<td class="delete">
				<button class="button js-wpforms-builder-provider-connection-fields-delete <# if ( meta_id === 0 ) { #>hidden<# } #>"
						title="<?php esc_attr_e( 'Remove', 'wpforms-hubspot' ); ?>">
					<i class="fa fa-minus-circle"></i>
				</button>
			</td>
		</tr>
		<# } ); #>
		<# } else { #>
		<tr class="wpforms-builder-provider-connection-fields-table-row">
			<td>
				<# if ( ! _.isEmpty( data.provider.fields ) ) { #>
				<select class="wpforms-builder-provider-connection-field-name"
						name="providers[{{ data.provider.slug }}][{{ data.connection.id }}][fields_meta][0][name]">
					<option value=""><# if ( ! _.isEmpty( data.provider.placeholder ) ) { #>{{ data.provider.placeholder }}<# } else { #><?php esc_html_e( '--- Select Field ---', 'wpforms-hubspot' ); ?><# } #></option>

					<# _.each( data.provider.fields, function( field_group, group_name ) { #>
					<optgroup label="{{ data.provider.groups[group_name] }}">
						<# _.each( field_group, function( field_name, field_id ) { #>
						<option value="{{ field_id }}">
							{{ field_name }}
						</option>
						<# } ); #>
					</optgroup>
					<# } ); #>

				</select>
				<# } else { #>
				<input type="text" value=""
					   class="wpforms-builder-provider-connection-field-name"
					   name="providers[{{ data.provider.slug }}][{{ data.connection.id }}][fields_meta][0][name]"
					   placeholder="<?php esc_attr_e( 'Field Name', 'wpforms-hubspot' ); ?>"
				/>
				<# } #>
			</td>
			<td>
				<select class="wpforms-builder-provider-connection-field-value"
						name="providers[{{ data.provider.slug }}][{{ data.connection.id }}][fields_meta][0][field_id]">
					<option value=""><?php esc_html_e( '--- Select Form Field ---', 'wpforms-hubspot' ); ?></option>

					<# _.each( data.fields, function( field, key ) { #>
					<option value="{{ field.id }}">
						<# if ( ! _.isUndefined( field.label ) && field.label.toString().trim() !== '' ) { #>
						{{ field.label.toString().trim() }}
						<# } else { #>
						{{ wpforms_builder.field + ' #' + key }}
						<# } #>
					</option>
					<# } ); #>
				</select>
			</td>
			<td class="add">
				<button class="button-secondary js-wpforms-builder-provider-connection-fields-add"
						title="<?php esc_attr_e( 'Add Another', 'wpforms-hubspot' ); ?>">
					<i class="fa fa-plus-circle"></i>
				</button>
			</td>
			<td class="delete">
				<button class="button js-wpforms-builder-provider-connection-fields-delete hidden"
						title="<?php esc_attr_e( 'Delete', 'wpforms-hubspot' ); ?>">
					<i class="fa fa-minus-circle"></i>
				</button>
			</td>
		</tr>
		<# } #>
		</tbody>
	</table>

	<p class="description">
		<?php esc_html_e( 'Map custom fields (or properties) to form fields values.', 'wpforms-hubspot' ); ?>
	</p>

</div>
