<?php

namespace WPFormsMailerlite\Provider\Actions;

use WPFormsMailerlite\Api\Exceptions\ResponseException;
use WPFormsMailerlite\Api\Exceptions\RequiredArgumentMissingException;

/**
 * Class DeleteAction.
 *
 * @since 1.0.0
 */
class DeleteAction extends Action {

	/**
	 * Run action.
	 *
	 * @since 1.0.0
	 *
	 * @throws ResponseException Invalid response.
	 * @throws RequiredArgumentMissingException Required argument is missing.
	 * phpcs:ignore Squiz.Commenting.FunctionCommentThrowTag.WrongNumber
	 */
	public function run() {

		$email = $this->field_mapper->get_field_value_by_id( $this->field_mapper->get_required_field_value( 'email', 'field_id' ) );

		$response = $this->connection->delete_contact( sanitize_email( $email ) );

		if ( $response->has_errors() ) {
			throw new ResponseException( $response->get_response_message() );
		}
	}
}
