<?php
/**
 * Plugin Name:       WPForms Offline Forms
 * Plugin URI:        https://wpforms.com
 * Description:       Offline Forms for WPForms.
 * Requires at least: 5.5
 * Requires PHP:      7.0
 * Author:            WPForms
 * Author URI:        https://wpforms.com
 * Version:           1.3.0
 * Text Domain:       wpforms-offline-forms
 * Domain Path:       languages
 *
 * WPForms is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * any later version.
 *
 * WPForms is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with WPForms. If not, see <https://www.gnu.org/licenses/>.
 */

// phpcs:ignore Generic.Commenting.DocComment.MissingShort
/** @noinspection PhpUnused */

use WPFormsOfflineForms\Plugin;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Plugin version.
 *
 * @since 1.0.0
 * @deprecated 1.3.0
 */
const WPFORMS_OF_VERSION = '1.3.0';

/**
 * Plugin version.
 *
 * @since 1.3.0
 */
const WPFORMS_OFFLINE_FORMS_VERSION = '1.3.0';

/**
 * Plugin file.
 *
 * @since 1.3.0
 */
const WPFORMS_OFFLINE_FORMS_FILE = __FILE__;

/**
 * Plugin URL.
 *
 * @since 1.0.0
 * @deprecated 1.3.0
 */
define( 'WPFORMS_OF_URL', plugin_dir_url( WPFORMS_OFFLINE_FORMS_FILE ) );

/**
 * Plugin URL.
 *
 * @since 1.0.0
 */
define( 'WPFORMS_OFFLINE_FORMS_URL', plugin_dir_url( WPFORMS_OFFLINE_FORMS_FILE ) );

/**
 * Plugin path.
 *
 * @since 1.0.0
 * @deprecated 1.3.0
 */
define( 'WPFORMS_OF_DIR', plugin_dir_path( WPFORMS_OFFLINE_FORMS_FILE ) );

/**
 * Plugin path.
 *
 * @since 1.3.0
 */
define( 'WPFORMS_OFFLINE_FORMS_DIR', plugin_dir_path( WPFORMS_OFFLINE_FORMS_FILE ) );

/**
 * Load the provider class.
 *
 * @since 1.0.0
 * @since 1.3.0 Uses requirements feature.
 */
function wpforms_offline_forms_load() {

	$requirements = [
		'file'    => WPFORMS_OFFLINE_FORMS_FILE,
		'wpforms' => '1.8.4',
	];

	if ( ! function_exists( 'wpforms_requirements' ) || ! wpforms_requirements( $requirements ) ) {
		return;
	}

	wpforms_offline_forms();
}

add_action( 'wpforms_loaded', 'wpforms_offline_forms_load' );

/**
 * Get the instance of the addon main class.
 *
 * @since 1.0.0
 *
 * @return Plugin
 */
function wpforms_offline_forms() {

	require_once WPFORMS_OFFLINE_FORMS_DIR . 'vendor/autoload.php';

	return Plugin::get_instance();
}
