# Changelog
All notable changes to this project will be documented in this file and formatted via [this recommendation](https://keepachangelog.com/en/1.0.0/).

## [1.10.0] - 2024-04-25
### Changed
- Improved field layout on the frontend for better user experience on mobile devices.

### Fixed
- Improved handling of corrupted payment submission data.
- In some cases, payments couldn't be submitted due to expired tokens.

## [1.9.1] - 2024-03-07
### Fixed
- One-Time payments failed when the visibility of payment fields was configured by conditional logic.

## [1.9.0] - 2024-02-20
### Added
- Compatibility with the WPForms 1.8.7.

### Changed
- The minimum WPForms version supported is 1.8.7.

### Fixed
- Incorrect payment title was saved in some cases.
- Hidden cardholder name skipped card details validation and did not prevent a form submission.
- Cardholder name validation was skipped when field was not required.
- One-Time payments failed when a Single Item payment field was hidden via conditional logic.
- PHP notice was thrown when the Shipping Address setting was configured.

## [1.8.0] - 2023-12-14
### Fixed
- Account connection issues blocked a multi-payments form submission that resulted in unexpected issues with other active integrations (like Stripe).
- Account couldn't be connected on the WPForms settings page in various cases.
- The PayPal Checkout button had no distance with the last field.

## [1.7.0] - 2023-10-23
### Fixed
- Compatibility with the Conversational Forms addon was improved.
- Credit card rejection errors did not prevent a form submission.
- There were situations when PHP notices were generated when a payment form was submitted.

## [1.6.0] - 2023-09-26
### IMPORTANT
- Support for PHP 5.6 has been discontinued. If you are running PHP 5.6, you MUST upgrade PHP before installing WPForms PayPal Commerce 1.6.0. Failure to do that will disable WPForms PayPal Commerce functionality.
- Support for WordPress 5.4 and below has been discontinued. If you are running any of those outdated versions, you MUST upgrade WordPress before installing WPForms PayPal Commerce 1.6.0. Failure to do that will disable WPForms PayPal Commerce functionality.

### Changed
- Minimum WPForms version supported is 1.8.4.

## [1.5.0] - 2023-08-08
### Changed
- Minimum WPForms version supported is 1.8.3.

### Fixed
- There was no payment method selected by default when the PayPal Commerce credit card field was added to a form.

## [1.4.0] 2023-06-26
### Added
- Compatibility with the upcoming WPForms Coupons addon release.

## [1.3.0] - 2023-06-08
### Added
- Compatibility with WPForms 1.8.2.

### Changed
- Minimum WPForms version supported is 1.8.2.

### Fixed
- In some cases a payment couldn't be submitted due to an API error and expiration of tokens.
- JavaScript error occurred when the user was asked to enter verification information for a payment form locked with the Form Locker addon.
- It was not possible to click the PayPal Checkout button when an API error occurred.

## [1.2.1] - 2023-04-06
### Fixed
- An error about the empty total amount was displayed for multi-page forms even though the amount was not empty after users' selection.

## [1.2.0] - 2023-03-22
### Added
- Compatibility with the upcoming WPForms 1.8.1.
- New filter `wpforms_paypal_commerce_api_http_request_base_url` allows to modify the API base URL of HTTP request that might help in case when PayPal blacklisted a customer's server IP.

### Changed
- Minimum WPForms version supported is 1.8.0.2.

### Fixed
- Previous page could not be opened without filling Credit Card Number.
- Certain users couldn't connect their business accounts.
- The form could be submitted even though an access token was invalid, which led to storing false payment entries.
- The Cardholder Name field was validated when other Credit Card details were filled in and valid.
- Multistep form now returns to the first page when user tries to submit the form with empty total.
- Payment API error was displayed too close to the Submit button.

## [1.1.0] - 2022-09-27
### Changed
- Minimum WPForms version supported is 1.7.7.

### Fixed
- Connection error messages were improved to cover more cases.
- The compatibility with the Layout field was improved.
- PayPal Commerce field was broken in the Block Editor in WordPress 5.2-5.4.

## [1.0.0] - 2022-08-09
### Added
- Initial release.
