<?php

namespace WPFormsSendinblue\Api\Exceptions;

use Exception;

/**
 * Class RequiredArgumentMissingException.
 *
 * @since 1.0.0
 */
class RequiredArgumentMissingException extends Exception {

	/**
	 * RequiredArgumentMissingException constructor.
	 *
	 * @since 1.0.0
	 *
	 * @param string $key Key name.
	 */
	public function __construct( $key ) {

		parent::__construct(
			sprintf(
				'The "%s" is a required argument',
				sanitize_key( $key )
			),
			400
		);
	}
}
