<?php

namespace WPFormsSendinblue\Provider\CustomFields;

/**
 * Class NameField.
 *
 * @since 1.2.0
 */
class NameField extends DefaultField {

	/**
	 * Name field format key.
	 *
	 * @since 1.2.0
	 *
	 * @var string
	 */
	private $key;

	/**
	 * Constructor for NameField class.
	 *
	 * @since 1.2.0
	 *
	 * @param array  $field     Field data.
	 * @param array  $settings  Field settings.
	 * @param array  $attribute Custom field attribute.
	 * @param string $key       Name field format key.
	 */
	public function __construct( $field, $settings, $attribute, $key ) {

		parent::__construct( $field, $settings, $attribute );
		$this->key = $key;
	}

	/**
	 * Text format.
	 *
	 * @since 1.2.0
	 *
	 * @return string
	 */
	protected function text() {

		$key = $this->key === 'full' ? 'value' : $this->key;

		return $this->field[ $key ];
	}
}
