# Changelog
All notable changes to this project will be documented in this file, formatted via [this recommendation](https://keepachangelog.com/).

## [1.11.0] - 2024-06-11
### Added
- Compatibility with WPForms 1.8.9.
- Save and Resume form now can load signature preview when the form is resumed.

### Changed
- The minimum WPForms version supported is 1.8.9.

### Fixed
- Signature field's clear icon was not disabled in Divi Builder preview.
- Signatures submitted with dark themes and white pen color were not visible after submission.

## [1.10.0] - 2024-04-24
### Fixed
- Signature field's clear icon had the wrong position when an RTL language was enabled.

## [1.9.0] - 2024-01-09
### Changed
- The minimum WPForms version supported is 1.8.6.

### Fixed
- Signature files were not deleted on form deletion.

## [1.8.0] - 2023-11-21
### IMPORTANT
- Support for PHP 5.6 has been discontinued. If you are running PHP 5.6, you MUST upgrade PHP before installing WPForms Signatures 1.8.0. Failure to do that will disable WPForms Signatures functionality.
- Support for WordPress 5.4 and below has been discontinued. If you are running any of those outdated versions, you MUST upgrade WordPress before installing WPForms Signatures 1.8.0. Failure to do that will disable WPForms Signatures functionality.

### Changed
- Minimum WPForms version supported is 1.8.5.
- Signature Pad JS library is updated.

### Fixed
- Compatibility with the Divi page builder.
- The signature file was not deleted with the entry.
- The Signature field had the wrong styles with Divi builder.

## [1.7.0] - 2023-03-15
### Added
- Compatibility with the upcoming WPForms v1.8.1 release.

### Fixed
- Form could be submitted with an empty required Signature field if it was cleared before submission.

## [1.6.0] - 2022-09-20
### Added
- Compatibility with WPForms 1.7.7 and its new functionality.

### Fixed
- Signature field was broken in the Block Editor in WordPress 5.2-5.4.

## [1.5.0] - 2022-05-26
### Fixed
- WordPress 6.0 compatibility: Signature field styling fixed inside the Full Site Editor.
- Signature field was reset when a viewport size changed (Portrait/Landscape).

## [1.4.0] - 2022-03-16
### Added
- Compatibility with WPForms 1.6.8 and the updated Form Builder.
- Compatibility with WPForms 1.7.3 and Form Revisions.

### Fixed
- Signature canvas initialization when a form is used several times on a page.

## [1.3.1] - 2020-12-17
### Fixed
- Signature not displaying in the form builder correctly when using "Small" format.

## [1.3.0] - 2019-07-23
### Added
- Complete translations for French and Portuguese (Brazilian).

### Fixed
- Signature canvas scaling issue on window resize.

## [1.2.0] - 2019-02-06
### Added
- Complete translations for Spanish, Italian, Japanese, and German.

### Fixed
- Typos, grammar, and other i18n related issues.

## [1.1.4] - 2018-12-27
### Changed
- Signature field display priority in the form builder.

## [1.1.3] - 2018-08-27
### Added
- Support for Gutenberg editor with WPForms version 1.4.8.

## [1.1.2] - 2018-05-14
### Fixed
- Clear signature button display issues when using Base Styling only setting.

## [1.1.1] - 2018-03-21
### Fixed
- Required signatures fields not validating when inside pagebreaks.

## [1.1.0] - 2018-03-15
### Added
- Ink color field setting.

### Changed
- Refactored addon and improved code.

### Fixed
- Display issues when signature is inside hidden element.
- Display issues when signature is set to small/medium and is inside a page break.

### Fixed
- Conflicts when signature was inside an element that was hidden.

## [1.0.3] - 2016-08-01
### Fixed
- Signature reset when scrolling on some mobile devices.

## [1.0.2] - 2016-02-24
### Fixed
- CSS not correctly applying if using only Base styling.

## [1.0.1] - 2016-11-16
### Changed
- Signature is stored and created in an image file, instead of a data URI.

### Fixed
- Signatures not working when hidden on load (conditional logic, pagination).
- Signatures not displaying in Gmail/Google Apps.

## [1.0.0] - 2016-11-10
- Initial release.
